Skip to main content

Score Profiles

Make a GET request to /score-profiles to retrieve the JOFI system Score Profiles available to your account. You must include a Score Profile short_name as the sp query string param when requesting a Test Taker Scorecard, so use this route to find valid values for your account.

GET /score-profiles
{
"mode": "live",
"object": "list",
"total_count": 4,
"has_more": false,
"data": [
{
"object": "score_profile_list_item",
"id": 201,
"short_name": "JOFI-112-CE",
"display_name": "Management Zone 2"
},
{
"object": "score_profile_list_item",
"id": 202,
"short_name": "JOFI-113-CE",
"display_name": "Management Zone 3"
},
{
"object": "score_profile_list_item",
"id": 295,
"short_name": "JOFI-295-AS",
"display_name": "Healthcare Practitioners and Technical Zone 5"
},
{
"object": "score_profile_list_item",
"id": 296,
"short_name": "JOFI-534-CR",
"display_name": "Transportation and Material Moving Zone 4"
}
]
}

Response fields

List envelope

FieldDescription
mode"live" or "test" depending on your API key
objectAlways "list"
total_countTotal number of system score profiles enabled for your account
has_moretrue if more items exist beyond the current page
dataArray of score_profile_list_item objects

score_profile_list_item fields

FieldDescription
objectAlways "score_profile_list_item"
idScore profile ID
short_nameScore profile short name. Pass as the sp query parameter on GET /test-takers/:testTakerId/scorecard.
display_nameHuman-readable score profile name